## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - l -

- Last() : csList< T >, CS::SndSys::QueueIterator< T >, csJoystickDriver, csMouseDriver
- LastClipResult() : csClipper
- Left() : csMath2
- Length() : iStringArray, iString, iPath, csPathsList, scfStringArray, scfString, csFIFO< T, ElementHandler, MemoryAllocator >, csStringBase, csBitArrayTweakable< InlinedBits, Allocator >, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >, CS::SndSys::Queue< T >, csPath
- LightChanged() : iLightingInfo
- LightDirection() : csSpotLightProc< AttenuationProc >::PerVertex, csDirectionalLightProc< AttenuationProc >::PerVertex, csPointLightProc< AttenuationProc >::PerVertex
- LightDisconnect() : iLightingInfo
- LightInvDistance() : csSpotLightProc< AttenuationProc >::PerVertex, csDirectionalLightProc< AttenuationProc >::PerVertex, csPointLightProc< AttenuationProc >::PerVertex
- LightVisible() : iLightVisibleCallback
- LineInClosedMesh() : csPolygonMeshTools
- LineLine() : csIntersect2
- Load() : iConfigFile, iGenMeshAnimationControlFactory, iModelLoader, iLoader, iImageIO, iRenderLoopManager, iCameraPosition, csWin32RegistryConfig, csConfigManager, csConfigFile, csConfigDocument, iShaderProgram, csCommonImageFile
- LoadConfig() : iInputBinder, csInputBinder
- LoadCoreAnimation() : iSpriteCal3DFactoryState
- LoadCoreMesh() : iSpriteCal3DFactoryState
- LoadCoreMorphTarget() : iSpriteCal3DFactoryState
- LoadCoreSkeleton() : iSpriteCal3DFactoryState
- LoadData() : iImageFileLoader
- LoaderJob() : csCommonImageFile::LoaderJob
- LoadFactory() : iSkeletonGraveyard
- LoadFont() : iFontServer
- LoadImage() : iLoader
- LoadLibrary() : iLoader
- LoadLibraryFile() : iLoader
- LoadMap() : iLoader
- LoadMapFile() : iLoader
- LoadMeshFactory() : iEngine
- LoadMeshObject() : iLoader
- LoadMeshObjectFactory() : iLoader
- LoadMeshWrapper() : iEngine
- LoadModule() : iScript
- LoadMountsFromFile() : iVFS
- LoadPlugin() : iPluginManager, csPluginManager
- LoadPlugins() : csPluginLoader
- LoadShader() : iLoader
- LoadSound() : iSndSysLoader
- LoadSoundStream() : iLoader
- LoadSoundSysData() : iLoader
- LoadSoundWrapper() : iLoader
- LoadTexture() : iLoader
- LocalBufferAllocator() : CS::Memory::LocalBufferAllocator< T, N, ExcessAllocator >
- LocateFile() : csPathsUtilities
- LocateNode() : csRedBlackTree< K >
- Lock() : iRenderBuffer, iPolygonMesh, csEventCord, csRenderBufferLock< T, TbufferKeeper >, CS::SndSys::Queue< T >, csRenderBuffer, csPolygonMeshBox, csPolygonMesh
- LockForExternalControl() : iParticleSystem
- LockTry() : csSemaphore, csMutex, CS::SpinLock
- LockWait() : csSemaphore, csMutex, CS::SpinLock
- Log() : csQuaternion
- LookAt() : csReversibleTransform
- LookChar() : csFileReadHelper
- LookupDomain() : iConfigManager, csConfigManager
- LostFocus() : csJoystickDriver, csMouseDriver, csKeyboardDriver
- LTrim() : csStringBase
- Luminance() : csRGBpixel